WordPress.org

Support

Support » Plugins and Hacks » Upgrade from 1.8.3 to 1.8.4

Upgrade from 1.8.3 to 1.8.4

  • I upgraded the plugin and on trying to re-activate it the site hung and nothing happened. I refreshed and tried again, but still no result.

    I found two errors in the apache logs and wondered if someone might be able to determin how I can get the plugin re-activated:

    The first was this:
    WordPress database error Duplicate key name ‘meta_id’ for query ALTER TABLE wp_wassup_meta ADD UNIQUE KEY meta_id (meta_id) made by activate_plugin, do_action(‘activate_wassup/wassup.php’), call_user_func_array, wassup_install, wassup_tableInstaller, wUpdateTable, wCreateTable, dbDelta, referer: …/wp-admin/plugins.php

    So I dropped the table as it was empty and then got this error when I tried again to activate the plugin:

    PHP Warning: mysql_free_result() expects parameter 1 to be resource, boolean given in …/wp-content/plugins/wassup/lib/upgrade.php on line 290, referer: …/wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=

    Then of course the previous table has been re-added so on trying to activate the plugin apache reverts to the previous error.

    Any ideas?

    Many thanks,

    Hanni

    http://wordpress.org/plugins/wassup/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author michelem

    @michelem

    Hello,
    please try this:

    * deactivate plugin
    * drop every wassup tables: wp_wassup, wp_wassup_meta, wp_wassup_tmp
    * activate the plugin

    Let me know

    I have tried that, the plugin still won’t activate.

    I have finally been able to get the plugin to activate, however it no longer records the visits, the current visitors online page shows visits, but the Visitor Details page is empty. Any thoughts?

    Plugin Author michelem

    @michelem

    Are you sure you have the option “Enable/Disable Recording” checked?
    It’s on options page.

    Yep, all options boxes are set to True.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Upgrade from 1.8.3 to 1.8.4’ is closed to new replies.